V3 Update or Remove Attachments

Updates properties for a specified file attachment or marks the attachment as removed.

Path Params
string
required

The unique identifier assigned to the loan.

Query Params
string

Optional. View type parameter. Enumerations: entity, id
When no view parameter is provided, the API will return 204 - No Content with no response body.

string

The unique identifier of the loan lock. This can be specified if the user has an existing lock on the loan.

string

Possible actions are update or remove. The default is update.

Body Params
string

Gets or sets the unqiue identifier for this attachment.

string

Gets or sets the display title for this attachment.

string

Gets or sets the type of attachment. Possible values are:

  • Native (for example .pdf or .doc files)
  • Image
  • Background
  • Cloud
string

The object identifier.

sources
array of strings

RetrieveOnly. Returns the source list of original file attachment IDs.
Note: Only applies when the "type" attribute is set to Native or Image.

sources
boolean

RetrieveOnly. Defines whether the assignment status of a file attachment in a document folder is current.

  • True indicates the file attachment is an active attachment in the document folder. (i.e., The Current Version option is selected in the Document Details window in Encompass.)

  • False indicates the file attachment is not an active attachment in the document folder. (i.e., The Current Version option is not selected in the Document Details window in Encompass.)

Note: This attribute has moved inside the 'assignedTo' entity reference. This 'isActive' attribute will be deprecated in a future release.

assignedTo
object

RetrieveOnly. Gets or sets the parent reference (i.e document).

integer

Gets or sets the file size in bytes.

integer

Gets or sets the rotation offset of this attachment in degrees.

boolean

RetrieveOnly. Gets or sets IsRemoved.

pages
array of objects

RetrieveOnly. Gets or sets the list of pages associated with an image attachment.

pages
createdBy
object

RetrieveOnly. Gets or sets the Entity Reference of the user who created this attachment.

date-time

RetrieveOnly. Gets or sets the date/time in UTC this attachment was created.

aiqMetadata
object

AIQ metdata as defined in the AIQMetadataContract.

Headers
string
required

Bearer token

Responses
204

No Content

400

Bad Request

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL
LoadingLoading…